Package org.jboss.resteasy.client.jaxrs.internal.proxy.extractors

## Class ResponseObjectEntityExtractorFactory

- java.lang.Object
- - org.jboss.resteasy.client.jaxrs.internal.proxy.extractors.DefaultEntityExtractorFactory
  - - org.jboss.resteasy.client.jaxrs.internal.proxy.extractors.ResponseObjectEntityExtractorFactory

- All Implemented Interfaces:
    `EntityExtractorFactory`

      public class ResponseObjectEntityExtractorFactory
      extends DefaultEntityExtractorFactory

  This class represents the method level creation of a "rich response object" that has the @ResponseObject annotation. These EntityExtractors will be used to implment methods of ResponseObject via ResponseObjectEntityExtractor
  Version:
    $Revision: 1 $
  Author:
    Solomon Duskis
  See Also:
    `, ResponseObjectEntityExtractor`

- - ### Field Summary

    - ### Fields inherited from class org.jboss.resteasy.client.jaxrs.internal.proxy.extractors.DefaultEntityExtractorFactory

      `clientResponseExtractor`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ResponseObjectEntityExtractorFactory()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `EntityExtractor` | `createExtractor​(Method method)` |

    - ### Methods inherited from class org.jboss.resteasy.client.jaxrs.internal.proxy.extractors.DefaultEntityExtractorFactory

      `createResponseTypeEntityExtractor, createStatusExtractor, createVoidExtractor, isVoidReturnType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ResponseObjectEntityExtractorFactory

          public ResponseObjectEntityExtractorFactory()

  - ### Method Detail

    - #### createExtractor

          public EntityExtractor createExtractor​(Method method)

      Specified by:
        `createExtractor` in interface `EntityExtractorFactory`
      Overrides:
        `createExtractor` in class `DefaultEntityExtractorFactory`